Page MenuHomePhabricator

rust-dirstate: call rust dirstatemap from Python
ClosedPublic

Authored by Alphare on Jul 10 2019, 10:34 AM.

Details

Summary

Since Rust-backed Python classes cannot be used as baseclasses (for
rust-cpython anyway), we use composition rather than inheritance.

This also allows us to keep the IO operations in the Python side, removing
(for now) the need to rewrite VFS in Rust, which would be a heavy undertaking.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jul 10 2019, 10:34 AM
Alphare updated this revision to Diff 15894.Jul 12 2019, 4:50 AM
Alphare updated this revision to Diff 16053.Jul 24 2019, 11:23 AM
Alphare added a subscriber: reviewers.EditedAug 6 2019, 12:22 PM

@reviewers I am leaving for a vacation on the 9th and I won't be able to answer your questions or work on those patches before the 20th. This series has been idle for a long time, I didn't want it to be forgotten about.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.